Bug 398476 - Distinguish currently playing and not playing streams
Summary: Distinguish currently playing and not playing streams
Status: RESOLVED FIXED
Alias: None
Product: plasma-pa
Classification: Unclassified
Component: applet (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-09-11 07:27 UTC by Matthias
Modified: 2021-05-15 16:07 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.0


Attachments
Screenshot (30.12 KB, image/png)
2018-09-11 07:27 UTC, Matthias
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias 2018-09-11 07:27:06 UTC
Created attachment 114893 [details]
Screenshot

Currently, there is no way to tell which of the streams is currently playing. 
See the screenshot: How many of you get frequently confused by such a list?
I suggest to create an icon or any other way, to see clearly which stream is currently playing. Thanks
Comment 1 Kai Uwe Broulik 2018-09-11 07:35:15 UTC
I like that idea. There's a "corked" property which is tells us whether the stream is there but not playing anything. It's the one we also use in Task Manager for the audio indicator. Not sure how this could be placed in there without cluttering the UI even further or being confusing (like e.g. two "speaker" icons would)
Comment 2 Matthias 2018-09-11 12:03:42 UTC
I also thought about this one. 
A simple "Play" button?

So, like a green triangle that shows to the right. 
Maybe on the upper right corner of the icon or left of the name of the stream. 

How is that?
Comment 3 Kai Uwe Broulik 2018-09-13 13:46:32 UTC
Let's continue the discusion here: https://phabricator.kde.org/D15418
Comment 4 Bug Janitor Service 2021-05-15 13:41:09 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-pa/-/merge_requests/65
Comment 5 Kai Uwe Broulik 2021-05-15 16:07:34 UTC
Git commit 6bebee67110d48adcd2a46cd9a1ae8c31247e17b by Kai Uwe Broulik.
Committed on 15/05/2021 at 15:51.
Pushed by ngraham into branch 'master'.

Indicate when application is "corked"

When a stream is present but not playing anything ("corked"),
show a "paused" icon over the application.
FIXED-IN: 5.23.0

M  +20   -0    applet/contents/ui/ListItemBase.qml

https://invent.kde.org/plasma/plasma-pa/commit/6bebee67110d48adcd2a46cd9a1ae8c31247e17b